CfSplit (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class CfSplit

- java.lang.Object
- - org.apache.cassandra.thrift.CfSplit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CfSplit>, org.apache.thrift.TBase<CfSplit,CfSplit._Fields>

      public class CfSplit
      extends java.lang.Object
      implements org.apache.thrift.TBase<CfSplit,CfSplit._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CfSplit>

  Represents input splits used by hadoop ColumnFamilyRecordReaders
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CfSplit._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `end_token`
    `static java.util.Map<CfSplit._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `long` | `row_count`
    `java.lang.String` | `start_token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfSplit()`
    `CfSplit(CfSplit other)` Performs a deep copy on other.
    `CfSplit(java.lang.String start_token, java.lang.String end_token, long row_count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(CfSplit other)`
    `CfSplit` | `deepCopy()`
    `boolean` | `equals(CfSplit that)`
    `boolean` | `equals(java.lang.Object that)`
    `CfSplit._Fields` | `fieldForId(int fieldId)`
    `java.lang.String` | `getEnd_token()`
    `java.lang.Object` | `getFieldValue(CfSplit._Fields field)`
    `long` | `getRow_count()`
    `java.lang.String` | `getStart_token()`
    `int` | `hashCode()`
    `boolean` | `isSet(CfSplit._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEnd_token()` Returns true if field end_token is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRow_count()` Returns true if field row_count is set (has been assigned a value) and false otherwise
    `boolean` | `isSetStart_token()` Returns true if field start_token is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `CfSplit` | `setEnd_token(java.lang.String end_token)`
    `void` | `setEnd_tokenIsSet(boolean value)`
    `void` | `setFieldValue(CfSplit._Fields field, java.lang.Object value)`
    `CfSplit` | `setRow_count(long row_count)`
    `void` | `setRow_countIsSet(boolean value)`
    `CfSplit` | `setStart_token(java.lang.String start_token)`
    `void` | `setStart_tokenIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetEnd_token()`
    `void` | `unsetRow_count()`
    `void` | `unsetStart_token()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start_token

          public java.lang.String start_token

    - #### end_token

          public java.lang.String end_token

    - #### row_count

          public long row_count

    - #### metaDataMap

          public static final java.util.Map<CfSplit._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### CfSplit

          public CfSplit()

    - #### CfSplit

          public CfSplit(java.lang.String start_token,
                         java.lang.String end_token,
                         long row_count)

    - #### CfSplit

          public CfSplit(CfSplit other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public CfSplit deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`

    - #### getStart_token

          public java.lang.String getStart_token()

    - #### setStart_token

          public CfSplit setStart_token(java.lang.String start_token)

    - #### unsetStart_token

          public void unsetStart_token()

    - #### isSetStart_token

          public boolean isSetStart_token()

      Returns true if field start_token is set (has been assigned a value) and false otherwise

    - #### setStart_tokenIsSet

          public void setStart_tokenIsSet(boolean value)

    - #### getEnd_token

          public java.lang.String getEnd_token()

    - #### setEnd_token

          public CfSplit setEnd_token(java.lang.String end_token)

    - #### unsetEnd_token

          public void unsetEnd_token()

    - #### isSetEnd_token

          public boolean isSetEnd_token()

      Returns true if field end_token is set (has been assigned a value) and false otherwise

    - #### setEnd_tokenIsSet

          public void setEnd_tokenIsSet(boolean value)

    - #### getRow_count

          public long getRow_count()

    - #### setRow_count

          public CfSplit setRow_count(long row_count)

    - #### unsetRow_count

          public void unsetRow_count()

    - #### isSetRow_count

          public boolean isSetRow_count()

      Returns true if field row_count is set (has been assigned a value) and false otherwise

    - #### setRow_countIsSet

          public void setRow_countIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(CfSplit._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(CfSplit._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`

    - #### isSet

          public boolean isSet(CfSplit._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(CfSplit that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(CfSplit other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CfSplit>`

    - #### fieldForId

          public CfSplit._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<CfSplit,CfSplit._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation